Bug 216211 - converters/wkhtmltopdf: fails to build with clang 4.0 (3 ports skipped)
Summary: converters/wkhtmltopdf: fails to build with clang 4.0 (3 ports skipped)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: needs-patch
Depends on:
Blocks: 216008
  Show dependency treegraph
 
Reported: 2017-01-18 08:19 UTC by Jan Beich
Modified: 2017-01-31 00:04 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-01-18 08:19:09 UTC
/wrkdirs/usr/ports/converters/wkhtmltopdf/work/qt-fe194f9/src/3rdparty/webkit/Source/WebCore/html/HTMLImageElement.cpp:77:24: error: ordered comparison between pointer and zero ('const int *' and 'int')
    if (optionalHeight > 0)
        ~~~~~~~~~~~~~~ ^ ~

regressed by: https://github.com/llvm-mirror/clang/commit/4b6ad14285f3
Comment 1 Jan Beich freebsd_committer 2017-01-21 01:44:44 UTC
Doh, this is bug 216015 reincarnated. I'll land the fix shortly.
Comment 2 commit-hook freebsd_committer 2017-01-21 03:23:46 UTC
A commit references this bug:

Author: jbeich
Date: Sat Jan 21 03:23:18 UTC 2017
New revision: 432009
URL: https://svnweb.freebsd.org/changeset/ports/432009

Log:
  converters/wkhtmltopdf: unbreak with clang 4.0 (same as r431742)

  src/3rdparty/webkit/Source/WebCore/html/HTMLImageElement.cpp:77:24: error: ordered comparison between pointer and zero ('const int *' and 'int')
      if (optionalHeight > 0)
          ~~~~~~~~~~~~~~ ^ ~

  PR:		216211
  Obtained from:	upstream (excerpt)
  Approved by:	portmgr blanket

Changes:
  head/converters/wkhtmltopdf/files/patch-src_3rdparty_webkit_Source_WebCore_html_HTMLImageElement.cpp
Comment 3 commit-hook freebsd_committer 2017-01-21 03:26:50 UTC
A commit references this bug:

Author: jbeich
Date: Sat Jan 21 03:25:47 UTC 2017
New revision: 432010
URL: https://svnweb.freebsd.org/changeset/ports/432010

Log:
  MFH: r432009

  converters/wkhtmltopdf: unbreak with clang 4.0 (same as r431742)

  src/3rdparty/webkit/Source/WebCore/html/HTMLImageElement.cpp:77:24: error: ordered comparison between pointer and zero ('const int *' and 'int')
      if (optionalHeight > 0)
          ~~~~~~~~~~~~~~ ^ ~

  PR:		216211
  Obtained from:	upstream (excerpt)
  Approved by:	portmgr blanket
  Approved by:	ports-secteam blanket

Changes:
_U  branches/2017Q1/
  branches/2017Q1/converters/wkhtmltopdf/files/patch-src_3rdparty_webkit_Source_WebCore_html_HTMLImageElement.cpp